pcl::PointXY Struct Reference
Module common

A 2D point structure representing Euclidean xy coordinates. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

float | x
float | y

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXY &p)

## Detailed Description

A 2D point structure representing Euclidean xy coordinates.

Definition at line 719 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXY & | p
| ) |  |

friend

## Member Data Documentation

## x

float pcl::PointXY::x

Definition at line 721 of file point_types.hpp.

Referenced by pcl::visualization::ImageViewer::addMask(), pcl::visualization::ImageViewer::addPlanarPolygon(), pcl::visualization::ImageViewer::addRectangle(), pcl::TextureMapping< PointInT >::checkPointInsideTriangle(), pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::get(), pcl::TextureMapping< PointInT >::getPointUVCoordinates(), pcl::TextureMapping< PointInT >::getTriangleCircumcenterAndSize(), pcl::TextureMapping< PointInT >::getTriangleCircumcscribedCircleCentroid(), pcl::search::OrganizedNeighbor< PointT >::projectPoint(), pcl::squaredEuclideanDistance(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

## y

float pcl::PointXY::y

Definition at line 722 of file point_types.hpp.

Referenced by pcl::visualization::ImageViewer::addMask(), pcl::visualization::ImageViewer::addPlanarPolygon(), pcl::visualization::ImageViewer::addRectangle(), pcl::TextureMapping< PointInT >::checkPointInsideTriangle(), pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::get(), pcl::TextureMapping< PointInT >::getPointUVCoordinates(), pcl::TextureMapping< PointInT >::getTriangleCircumcenterAndSize(), pcl::TextureMapping< PointInT >::getTriangleCircumcscribedCircleCentroid(), pcl::search::OrganizedNeighbor< PointT >::projectPoint(), pcl::squaredEuclideanDistance(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp